#
# spec file for package perl-Test-File-Contents
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Test-File-Contents
Name:           perl-Test-File-Contents
Version:        0.242
Release:        1.10
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Test routines for examining the contents of files
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARISTOTLE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::Builder) >= 0.70
BuildRequires:  perl(Test::More) >= 0.70
BuildRequires:  perl(Text::Diff) >= 0.35
Requires:       perl(Test::Builder) >= 0.70
Requires:       perl(Text::Diff) >= 0.35
%{perl_requires}

%description
Got an app that generates files? Then you need to test those files to make
sure that their contents are correct. This module makes that easy. Use its
test functions to make sure that the contents of files are exactly what you
expect them to be.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Fri Sep  2 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.242
  see /usr/share/doc/packages/perl-Test-File-Contents/Changes
  0.242 Thu 01 Sep 2022
  - No functional changes
  - Corrected test dependencies
    (Test::Builder::Tester and Test::Builder::Tester::Color were missing)
* Thu Aug 11 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.241
  see /usr/share/doc/packages/perl-Test-File-Contents/Changes
* Mon Jul 18 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.240
  see /usr/share/doc/packages/perl-Test-File-Contents/Changes
* Mon Mar 21 2016 coolo@suse.com
- updated to 0.23
  see /usr/share/doc/packages/perl-Test-File-Contents/Changes
  0.23  2016-03-16T17:09:37Z
  - Fix encoding errors when reading in a file on Windows with `utf8`
    enabled. See https://rt.perl.org/Ticket/Display.html?id=127668 for the
    bug we've worked around.
* Tue Mar  8 2016 coolo@suse.com
- updated to 0.22
  see /usr/share/doc/packages/perl-Test-File-Contents/Changes
  0.22  2016-03-02T23:54:26Z
  - Adjusted tests to account for change in output of Text::Diff 1.44.
    They still pass with earlier versions of Text::Diff.
  - Removed Pod tests from the distribution.
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Test-File-Contents/Changes
  0.21    2013-04-12
  - Require Test::Pod 1.41 for Pod tests. Fixes test failures due to the
    use of the `L<text|scheme>` Pod syntax diallowed in earlier versions
    of Test::Pod.
  - Eliminated "v-string in use/require non-portable" warning on Perl
    5.10.0.
* Sun May  1 2011 coolo@opensuse.org
- initial package 0.20
  * created by cpanspec 1.78.04
